{ description = "Extremely basic flake";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs = { self, nixpkgs, flake-utils}:
  flake-utils.lib.eachDefaultSystem (system:
  let pkgs = import nixpkgs { inherit system; };
  in {

    packages = {
      default = pkgs.stdenvNoCC.mkDerivation {
        name = "arbit-nu";
        version = "2.0";
        src = ./src;

        nativeBuildInputs = with pkgs; [
          scdoc
        ];

        propagatedBuikdInputs = with pkgs; [
          pipe-viewer
          yt-dlp
          mpv
          libnotify
          xclip
        ];

        buildInputs = with pkgs; [
          nushell
        ];

        preConfigure = ''
          patchShebangs ./bin/*
        '';

        buildPhase = ''
          scdoc < manpages/arbit.1.scd > arbit.1
        '';

        installPhase = ''
          mkdir -p $out/{bin,share/{man/man1,zsh/site-functions}}
          cp bin/arbit $out/bin/
          cp arbit.1 $out/share/man/man1/
          cp completions/_arbit $out/share/zsh/site-functions/
        '';

      };
    };

  });
}
